<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.dromara.system.mapper.StudentMindOldMapper">
    <resultMap type="org.dromara.system.domain.vo.StudentMindOldVo" id="StudentMindOldResult">
        <result property="mindId"    column="mind_id"    />
        <result property="studentId"    column="student_id"    />
        <result property="name"    column="name"    />
        <result property="sex"    column="sex"    />
        <result property="age"    column="age"    />
        <result property="school"    column="school"    />
        <result property="studentNumber"    column="student_number"    />
        <result property="idCard"    column="id_card"    />
        <result property="mind"    column="mind"    />
        <result property="psychologicalDescription"    column="psychological_description"    />

        <result property="createType"    column="create_type"    />

        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="remark"    column="remark"    />
    </resultMap>

    <sql id="selectStudentMindOldVo">
        select mind_id, student_id, name, sex, age, school, student_number, id_card, mind, psychological_description,create_type, create_by, create_time, update_by, update_time, remark from student_mind_old
    </sql>
    <select id="selectVoMapperPage" resultMap="StudentMindOldResult">
        <include refid="selectStudentMindOldVo"/>
        ${ew.getCustomSqlSegment}
    </select>
    <select id="selectVoMapperById" resultMap="StudentMindOldResult">
        <include refid="selectStudentMindOldVo"/>
        where mind_id = #{mindId}
    </select>
    <select id="selectVoMaooerList" resultMap="StudentMindOldResult">
        <include refid="selectStudentMindOldVo"/>
        ${ew.getCustomSqlSegment}
    </select>
</mapper>
